<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vente_ouvrages', function (Blueprint $table) {
            $table->id();
            $table->string('nom_personne');
            $table->unsignedBigInteger('ouvrage_id');
            $table->float('quantite');
            $table->string('motif');
            $table->timestamps();
            $table->foreign('ouvrage_id')->references('id')->on('ouvrage_livres')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vente_ouvrages');
    }
};